import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _MKMapItem } from "./MKMapItem.js";
import type { CGSize } from "../structs/CGSize.js";
import type { CLLocationCoordinate2D } from "../structs/CLLocationCoordinate2D.js";
export declare class _MKMapCamera extends _NSObject {
    static alloc(): _MKMapCamera;
    static new(): _MKMapCamera;
    init(): _MKMapCamera;
    static camera(): _MKMapCamera;
    static cameraLookingAtCenterCoordinate$fromEyeCoordinate$eyeAltitude$(centerCoordinate: CLLocationCoordinate2D, eyeCoordinate: CLLocationCoordinate2D, eyeAltitude: number): _MKMapCamera;
    static cameraLookingAtCenterCoordinate$fromDistance$pitch$heading$(centerCoordinate: CLLocationCoordinate2D, distance: number, pitch: number, heading: number): _MKMapCamera;
    static cameraLookingAtMapItem$forViewSize$allowPitch$(mapItem: _MKMapItem, viewSize: CGSize, allowPitch: boolean): _MKMapCamera;
    /** @deprecated Use centerCoordinateDistance */
    centerCoordinate(): CLLocationCoordinate2D;
    setCenterCoordinate$(value: CLLocationCoordinate2D): void;
    /** @deprecated Use centerCoordinateDistance */
    centerCoordinateDistance(): number;
    setCenterCoordinateDistance$(value: number): void;
    /** @deprecated Use centerCoordinateDistance */
    heading(): number;
    setHeading$(value: number): void;
    /**
     * In degrees where 0 is looking straight down. Pitch may be clamped to an appropriate value.
     * @deprecated Use centerCoordinateDistance
     */
    pitch(): number;
    setPitch$(value: number): void;
    /** @deprecated Use centerCoordinateDistance */
    altitude(): number;
    setAltitude$(value: number): void;
}
export interface _MKMapCamera extends _NSSecureCoding, _NSCopying {
}
